Bug 44519 - mysql-5.5: Multiple issues (4.2)
mysql-5.5: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Philipp Hahn
Erik Damrose
http://www.oracle.com/technetwork/sec...
:
: 45094 (view as bug list)
Depends on: 44451
Blocks: 44516 45094 45106
  Show dependency treegraph
 
Reported: 2017-05-02 18:55 CEST by Arvid Requate
Modified: 2017-08-09 16:57 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score:
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-05-02 18:55:21 CEST
Upstream Debian package version 5.5.55-0+deb8u1 fixes these issues:

CVE-2017-3302 CVE-2017-3305 CVE-2017-3308 CVE-2017-3309
CVE-2017-3329 CVE-2017-3453 CVE-2017-3456 CVE-2017-3461
CVE-2017-3462 CVE-2017-3463 CVE-2017-3464 CVE-2017-3600
Comment 1 Arvid Requate univentionstaff 2017-07-31 18:56:40 CEST
*** Bug 45094 has been marked as a duplicate of this bug. ***
Comment 2 Arvid Requate univentionstaff 2017-07-31 19:00:13 CEST
Upstream Debian package version 5.5.57-0+deb8u1 fixes these issues:

CVE-2017-3635 CVE-2017-3636 CVE-2017-3641 CVE-2017-3648
CVE-2017-3651 CVE-2017-3652 CVE-2017-3653

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixMSQL
Comment 3 Arvid Requate univentionstaff 2017-07-31 19:09:38 CEST
I assume we need to run this new tool?
Comment 4 Philipp Hahn univentionstaff 2017-08-02 21:15:57 CEST
python -m univention.repong.debmirror --errata ~/GIT2/doc/errata/ --sql -vvvv --work /tmp/phahn/work.yaml --overwrite ~/misc/repo-ng/mirror/update_ucs42_mirror_from_debian.tsv --process REBUILD --package mysql-5.5

Package: mysql-5.5
Version: 5.5.57-0.A~4.2.1.201708021657
Branch: ucs_4.2-0
Scope: errata4.2-1

r81737 | Bug #44519: mysql-5.5.yaml

for comparison:
 Version: 5.5.57-0.33.201707311954
 Branch: ucs_4.1-0-errata4.1-4
$ dpkg --compare-versions 5.5.57-0.33.201707311954 lt 5.5.57-0.A~4.2.1.201708021657 ; echo $? # 0
Comment 5 Erik Damrose univentionstaff 2017-08-07 17:30:13 CEST
Due to Bug 45094 it is important to release this update as fast as possible.
Comment 6 Erik Damrose univentionstaff 2017-08-08 12:44:29 CEST
OK: 4.2 errata version higher than latest 4.1-4 errata version:
5.5.57-0.A~4.2.1.201708021657 > 5.5.57-0.33.201707311954

OK: patches applied
OK: package update
OK: yaml
Verified
Comment 7 Arvid Requate univentionstaff 2017-08-09 16:57:20 CEST
<http://errata.software-univention.de/ucs/4.2/125.html>